ServerEvents.recipes(event => {
    event.remove({ output: 'create:mechanical_press' })
    event.shaped(
        Item.of('create:mechanical_press'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'create:piston_extension_pole',
            B: 'create:shaft',
            C: 'create:andesite_casing',
            D: '#forge:storage_blocks/iron'
        }
    )
    event.remove({ output: 'create:mechanical_mixer' })
    event.shaped(
        Item.of('create:mechanical_mixer'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'create:piston_extension_pole',
            B: 'create:cogwheel',
            C: 'create:andesite_casing',
            D: 'create:whisk'
        }
    )
    event.remove({ output: 'create:deployer' })
    event.shaped(
        Item.of('create:deployer'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'create:piston_extension_pole',
            B: 'create:shaft',
            C: 'create:andesite_casing',
            D: 'create:brass_hand'
        }
    )
    event.remove({ output: 'ars_technica:source_engine' })
    event.shaped(
        Item.of('ars_technica:source_engine'),
        [
            'ABA',
            'FDE',
            'ACA'
        ],
        {
            A: 'create:brass_ingot',
            B: 'ars_nouveau:source_jar',
            C: 'ars_nouveau:sourcestone',
            D: 'create:andesite_casing',
            E: 'create:shaft',
            F: 'create:electron_tube'
        }
    )
    event.remove({ output: 'create:empty_blaze_burner' })
    event.shaped(
        Item.of('create:empty_blaze_burner'),
        [
            'A A',
            'ABA',
            'CDC'
        ],
        {
            A: 'minecraft:iron_bars',
            B: 'minecraft:netherrack',
            C: 'immersiveengineering:sheetmetal_lead',
            D: 'immersiveengineering:sheetmetal_nickel'
        }
    )
    event.remove({ output: 'create:steam_engine' })
    event.shaped(
        Item.of('create:steam_engine'),
        [
            ' A ',
            'BCB',
            'BDB'
        ],
        {
            A: '#forge:plates/gold',
            B: 'minecraft:copper_block',
            C: 'create:andesite_alloy',
            D: 'immersiveengineering:rs_engineering'
        }
    )
    event.remove({ output: 'create:encased_chain_drive' })
    event.shaped(
        Item.of('create:encased_chain_drive', 4),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: [
                'minecraft:iron_nugget',
                '#forge:nuggets/zinc'
            ],
            B: 'minecraft:chain',
            C: 'create:andesite_casing'
        }
    )
})